<template>
  <p-Avatar>
    <div class="Avatar">
      <svg viewBox="0 0 320 320" xmlns="http://www.w3.org/2000/svg">
        <Face :color="props.config.faceColor" />
        <Eyebrow :type="props.config.eyebrowType" />
        <Eyes :type="props.config.eyeType" />
        <Glasses :type="props.config.glassesType" />
        <Hair
          v-if="props.config.hatType === 'none'"
          :color="props.config.hairColor"
          :type="props.config.hairType"
        />
        <Hat :color="props.config.hatColor" :type="props.config.hatType" />
        <Ear
          :color="props.config.faceColor"
          :size="props.config.earSize"
          :earring="props.config.earring"
        />
        <Nose :type="props.config.noseType" />
        <Mouth :type="props.config.mouthType" />
        <Shirt
          :color="props.config.shirtColor"
          :type="props.config.shirtType"
        />
      </svg>
    </div>
  </p-Avatar>
</template>

<script lang="ts" setup>
import { Ear } from './Ear'
import { Hat } from './Hat'
import { Face } from './Face'
import { Eyes } from './Eyes'
import { Hair } from './Hair'
import { Nose } from './Nose'
import { Mouth } from './Mouth'
import { Shirt } from './Shirt'
import { Eyebrow } from './Eyebrow'
import { Glasses } from './Glasses'
import type { AvatarConfig } from '@/api'

const props = defineProps<{
  config: AvatarConfig
}>()
</script>

<style lang="scss" scoped>
.Avatar {
  position: relative;
  overflow: hidden;
  width: 100%;
  height: 100%;
}
</style>
